FileSystem (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class FileSystem

    java.lang.Object
      org.hyperic.sigar.FileSystem

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  NfsFileSystem

    public class FileSystem

extends java.lang.Object
implements java.io.Serializable

FileSystem sigar class.

See Also:
  Serialized Form

Field Summary
`static int` | `TYPE_CDROM`
`static int` | `TYPE_LOCAL_DISK`
`static int` | `TYPE_NETWORK`
`static int` | `TYPE_NONE`
`static int` | `TYPE_RAM_DISK`
`static int` | `TYPE_SWAP`
`static int` | `TYPE_UNKNOWN`

Constructor Summary
`FileSystem()`

Method Summary
`void` | `gather(Sigar sigar)`
`java.lang.String` | `getDevName()` Get the Device name.
`java.lang.String` | `getDirName()` Get the Directory name.
`long` | `getFlags()` Get the File system flags.
`java.lang.String` | `getOptions()` Get the File system mount options.
`java.lang.String` | `getSysTypeName()` Get the File system os specific type name.
`int` | `getType()` Get the File system type.
`java.lang.String` | `getTypeName()` Get the File system generic type name.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

See Also:
  Constant Field Values

### TYPE_NONE

    public static final int TYPE_NONE

See Also:
  Constant Field Values

### TYPE_LOCAL_DISK

    public static final int TYPE_LOCAL_DISK

See Also:
  Constant Field Values

### TYPE_NETWORK

    public static final int TYPE_NETWORK

See Also:
  Constant Field Values

### TYPE_RAM_DISK

    public static final int TYPE_RAM_DISK

See Also:
  Constant Field Values

### TYPE_CDROM

    public static final int TYPE_CDROM

See Also:
  Constant Field Values

### TYPE_SWAP

    public static final int TYPE_SWAP

See Also:
  Constant Field Values

Constructor Detail

### FileSystem

    public FileSystem()

Method Detail

### gather

    public void gather(Sigar sigar)
                throws SigarException

  Throws:
    `SigarException`

### getDirName

    public java.lang.String getDirName()

  Get the Directory name.

  Supported Platforms: All.

  Returns:
    Directory name

### getDevName

    public java.lang.String getDevName()

  Get the Device name.

  Supported Platforms: All.

  Returns:
    Device name

### getTypeName

    public java.lang.String getTypeName()

  Get the File system generic type name.

  Supported Platforms: All.

  Returns:
    File system generic type name

### getSysTypeName

    public java.lang.String getSysTypeName()

  Get the File system os specific type name.

  Supported Platforms: All.

  Returns:
    File system os specific type name

### getOptions

    public java.lang.String getOptions()

  Get the File system mount options.

  Supported Platforms: All.

  Returns:
    File system mount options

### getType

    public int getType()

  Get the File system type.

  Supported Platforms: All.

  Returns:
    File system type

### getFlags

    public long getFlags()

  Get the File system flags.

  Supported Platforms: All.

  Returns:
    File system flags

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toMap

    public java.util.Map toMap()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.